﻿@model MvcSiteMapProvider.Web.Html.Models.MenuHelperModel
@using System.Web.Mvc.Html
@using MvcSiteMapProvider.Web.Html.Models
@using Microsoft.AspNet.Identity

@helper  TopMenu(List<SiteMapNodeModel> nodeList)
{
    @:<ul class="nav navbar-nav">
foreach (SiteMapNodeModel node in nodeList)
{
    string url = node.IsClickable ? node.Url : "#";

        if (!node.Children.Any())
        {
            @:<li><a href="@url">@node.Title</a></li>
        }
        else
        {
            @:<li class="dropdown"><a class="dropdown-toggle" data-toggle="dropdown" href="@url">@node.Title <b class="caret"></b></a>@DropDownMenu(node.Children)</li>
        }

        if (node != nodeList.Last())
        {
            @:<li class="divider-vertical"></li>
        }
}

    @:</ul>
        if (Request.IsAuthenticated)
        {
            using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "nav navbar-nav navbar-right" }))
            {
            @Html.AntiForgeryToken()

             @:<ul class="nav navbar-nav navbar-right">
                 @:<li>
                    @Html.ActionLink("Hello " + User.Identity.GetUserName() + "!", "Manage", "Account", routeValues: null, htmlAttributes: new { @class = "username", title = "Manage" })
                 @:</li>
                 @:<li><a href="javascript:document.getElementById('logoutForm').submit()">Log off</a></li>
             @:</ul>
            }
        }
        else
        {
             @:<ul class="nav navbar-nav navbar-right">
                <li>@Html.ActionLink("Register", "Register", "Account", routeValues: null, htmlAttributes: new { id = "registerLink" })</li>
                <li>@Html.ActionLink("Log in", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
             @:</ul>
        }

}

@helper DropDownMenu(SiteMapNodeModelList nodeList)
{
     @:<ul class="dropdown-menu">

        foreach (SiteMapNodeModel node in nodeList)
        {
            if (node.Title == "Separator")
            {
            @:<li class="divider"></li>
                continue;
            }

            string url = node.IsClickable ? node.Url : "#";

            if (!node.Children.Any())
            {
            @:<li><a href="@url">@node.Title</a></li>
            }
            else
            {
            @:<li class="dropdown-submenu"><a href="@url">@node.Title</a>@DropDownMenu(node.Children)</li>
            }
        }
     @:</ul>
}
@TopMenu(Model.Nodes)
